### Method

# EDataCal CalBackend dup_cache_dir

since: 3.10

#### Declaration [src]

    gchar*
    e_cal_backend_dup_cache_dir (
      ECalBackend* backend
    )

#### Description [src]

Thread-safe variation of e_cal_backend_get_cache_dir(). Use this function when accessing `backend` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

Available since: 3.10

#### Return value

Type: `gchar*`

A newly-allocated copy of `ECalBackend:cache-dir`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.